<?php
/**
 * The template for displaying the footer.
 *
 * Contains the closing of the #content div and all content after
 *
 * @package WP Coupon
 */
global $st_option;

if (wpcoupon_get_option('before_footer', '') != '') {
    if (wpcoupon_get_option('before_footer_apply', 'home') != 'all') {
        if (is_front_page()) {
            echo do_shortcode(wpcoupon_get_option('before_footer', ''));
        }
    } else {
        echo do_shortcode(wpcoupon_get_option('before_footer', ''));
    }
}
?>
</div> <!-- END .site-content -->

<footer id="colophon" class="site-footer <?php echo ($st_option['footer_widgets']) ? 'footer-widgets-on' : 'footer-widgets-off' ?>" role="contentinfo">
    <div class="container">
        <?php if ($st_option['footer_widgets']) { ?>
        <div class="footer-widgets-area">
            <div class="sidebar-footer footer-columns stackable ui grid clearfix">
                <?php if (is_active_sidebar('footer-left')) { ?>
                    <div id="footer-1" class="four wide column footer-column widget-area" role="complementary">
                        <?php dynamic_sidebar('footer-left'); ?>
                    </div>
                <?php } ?>

                <div id="footer-2" class="eight wide column footer-column widget-area" role="complementary">
                    <div id="footer-new-store" class="wide column footer-column widget-area">
                        <?php
                        $args = array(
                            'orderby'                => 'RAND',
                            'order'                  => 'DESC',
                            'suppress_filters'       => true,
                            'hide_empty'             => false,
                            'include'                => array(),
                            'exclude'                => array(),
                            'exclude_tree'           => array(),
                            'number'                 => wpcoupon_get_option('footer_latest_stores_number', '30'),
                            'offset'                 => '',
                            'fields'                 => 'all',
                            'name'                   => '',
                            'slug'                   => '',
                            'hierarchical'           => false,
                            'search'                 => '',
                            'name__like'             => '',
                            'description__like'      => '',
                            'pad_counts'             => false,
                            'get'                    => '',
                            'child_of'               => 0,
                            'parent'                 => wpcoupon_get_option('stores_listing_hide_child', 0) ? 0 : '',
                            'childless'              => false,
                            'cache_domain'           => 'core',
                            'update_term_meta_cache' => true,
                            'meta_query'             => ''
                        );

                        $_stores = get_terms('coupon_store', $args);
                        if (!empty($_stores)) { ?>
                            <div class="store-listing-box store-popular-listing">
                                <div class="store-letter-heading">
                                    <h2 class="section-heading"><?php esc_html_e(wpcoupon_get_option('footer_latest_stores_title', 'Latest Stores'), 'wp-coupon-pro'); ?></h2>
                                </div>
                                <div class="store-letter-content">
                                    <div class="ui grid">
                                        <?php
                                        $store_count = 0;
                                        foreach ($_stores as $store) {
                                            if ($store_count >= intval(wpcoupon_get_option('footer_latest_stores_number', '50'))) {
                                                break;
                                            }
                                            wpcoupon_setup_store($store);
                                            ?>
                                            <div class="eight wide mobile five wide tablet five wide computer column">
                                                <a href="<?php echo esc_url(get_term_link($store, 'coupon_store')); ?>" class="ui image middle aligned">
                                                    <?php echo esc_html($store->name); ?>
                                                </a>
                                            </div>
                                            <?php
                                            $store_count++;
                                        } ?>
                                    </div>
                                </div>
                            </div>
                        <?php } ?>
                    </div>
                </div>

                <div id="footer-4" class="four wide column footer-column widget-area" role="complementary">
                    <?php dynamic_sidebar('footer-right'); ?>
                </div>
            </div>
        </div>
        <?php } ?>

        <div class="footer_copy">
            <div class="cpy_text">
                <?php
                echo '<span>';
                if (wpcoupon_get_option('footer_copyright') == '') {
                    printf(esc_html__('Copyright &copy; %1$s %2$s. All Rights Reserved. ', 'wp-coupon-pro'), esc_attr(date('Y')), get_bloginfo('name'));
                } else {
                    echo wp_kses_post(wpcoupon_get_option('footer_copyright'));
                }
                echo '</span>';

                if (wpcoupon_get_option('enable_footer_author')) {
                    echo '<span>' . sprintf(esc_html__('WordPress Coupon Theme by %s', 'wp-coupon-pro'), '<a href="https://couponthemes.net">CouponThemes</a>') . '</span>';
                }
                ?>
            </div>
            <nav id="footer-nav" class="site-footer-nav">
                <?php wp_nav_menu(array('container' => false, 'theme_location' => 'footer', 'fallback_cb' => false)); ?>
            </nav>
        </div>
    </div>
</footer><!-- END #colophon-->

</div><!-- END #page -->

<?php wp_footer(); ?>
</body>
</html>
