<?php

/**
 * Redux Framework is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 2 of the License, or
 * any later version.
 *
 * Redux Framework is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with Redux Framework. If not, see <http://www.gnu.org/licenses/>.
 *
 * @package     ReduxFramework
 * @author      Dovy Paukstys (dovy)
 * @version     3.0.0
 */

// Exit if accessed directly
if (!defined('ABSPATH')) exit;

// Don't duplicate me!
if (!class_exists('ReduxFramework_extension_slides_v2')) {

    /**
     * Main ReduxFramework custom_field extension class
     *
     * @since       3.1.6
     */
    class ReduxFramework_extension_slides_v2 extends ReduxFramework {

        // Protected vars
        protected $parent;
        public $extension_url;
        public $extension_dir;
        public $field_name;  // Explicitly declare the property
        public static $theInstance;

        /**
         * Class Constructor. Defines the args for the extension class
         *
         * @since       1.0.0
         * @access      public
         * @param       array $sections Panel sections.
         * @param       array $args Class constructor arguments.
         * @param       array $extra_tabs Extra panel tabs.
         * @return      void
         */
        public function __construct($parent) {

            $this->parent = $parent;
            if (empty($this->extension_dir)) {
                $this->extension_dir = get_template_directory() . '/inc/redux-extensions/slides_v2';
            }
            $this->field_name = 'slides_v2';

            self::$theInstance = $this;

            add_filter('redux/' . $this->parent->args['opt_name'] . '/field/class/' . $this->field_name, array(&$this, 'overload_field_path')); // Adds the local field

        }

        public function getInstance() {
            return self::$theInstance;
        }

        // Forces the use of the embedded field path vs what the core typically would use
        public function overload_field_path($field) {

            return get_template_directory() . '/inc/redux-extensions/slides_v2/' . $this->field_name . '/field_' . $this->field_name . '.php';
        }

    } // class
} // if
